rgb2ycrcb: XRgb2YCrCb_Config Struct Reference

| rgb2ycrcb Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XRgb2YCrCb_Config Struct Reference
Rgb2ycrcb_v7_1

This typedef contains configuration information for a Rgb2YCrCb core. More...

## Data Fields
u16 | DeviceId
| DeviceId is the unique ID of the RGB2YCRCB core. More...
u32 | BaseAddress
| BaseAddress is the physical base address of the RGB2YCRCB core registers. More...
u32 | SlaveAxisVideoFormat
| Slave Axis Video Format. More...
u32 | MasterAxisVideoFormat
| Master Axis Video Format. More...
u16 | HasDebug
| To check debug support. More...
u16 | HasIntcIf
| To check Interrupt controller support. More...
u32 | MaxCols
| Maximum number of columns. More...
u32 | ActiveCols
| Number of active columns. More...
u32 | ActiveRows
| Number of active rows. More...
u16 | HasClip
| To check support for clipping. More...
u16 | HasClamp
| To check support for clamping. More...
u32 | ACoef
| A coefficient. More...
u32 | BCoef
| B coefficient. More...
u32 | CCoef
| C coefficient. More...
u32 | DCoef
| D coefficient. More...
u32 | YOffset
| Y Offset value. More...
u32 | CbOffset
| Cb Offset value. More...
u32 | CrOffset
| Cr Offset value. More...
u32 | YMax
| Y Min value. More...
u32 | YMin
| Y Max value. More...
u32 | CbMax
| Cb Max value. More...
u32 | CbMin
| Cb Min value. More...
u32 | CrMax
| Cr Max value. More...
u32 | CrMin
| Cr Min value. More...
u32 | SlaveAxiClkFreqHz
| Slave AXI Clock Frequency in Hz. More...
u32 | StandardSelection
| To select standard. More...
u32 | OutputRange
| To identify output range. More...

## Detailed Description

This typedef contains configuration information for a Rgb2YCrCb core.

Each Rgb2YCrCb core should have a configuration structure associated.

## Field Documentation

u32 XRgb2YCrCb_Config::ACoef

A coefficient.

u32 XRgb2YCrCb_Config::ActiveCols

Number of active columns.

u32 XRgb2YCrCb_Config::ActiveRows

Number of active rows.

u32 XRgb2YCrCb_Config::BaseAddress

BaseAddress is the physical base address of the RGB2YCRCB core registers.

Referenced by XRgb2YCrCb_CfgInitialize(), XRgb2YCrCb_DisableDbgBypass(), XRgb2YCrCb_DisableDbgTestPattern(), XRgb2YCrCb_EnableDbgByPass(), XRgb2YCrCb_EnableDbgTestPattern(), XRgb2YCrCb_GetActiveSize(), XRgb2YCrCb_GetCbMax(), XRgb2YCrCb_GetCbMin(), XRgb2YCrCb_GetCbOffset(), XRgb2YCrCb_GetCoefs(), XRgb2YCrCb_GetCrMax(), XRgb2YCrCb_GetCrMin(), XRgb2YCrCb_GetCrOffset(), XRgb2YCrCb_GetDbgFrameCount(), XRgb2YCrCb_GetDbgLineCount(), XRgb2YCrCb_GetDbgPixelCount(), XRgb2YCrCb_GetVersion(), XRgb2YCrCb_GetYMax(), XRgb2YCrCb_GetYMin(), XRgb2YCrCb_GetYOffset(), XRgb2YCrCb_IsDbgByPassEnabled(), XRgb2YCrCb_IsDbgTestPatternEnabled(), XRgb2YCrCb_SelfTest(), XRgb2YCrCb_SetActiveSize(), XRgb2YCrCb_SetCbMax(), XRgb2YCrCb_SetCbMin(), XRgb2YCrCb_SetCbOffset(), XRgb2YCrCb_SetCoefs(), XRgb2YCrCb_SetCrMax(), XRgb2YCrCb_SetCrMin(), XRgb2YCrCb_SetCrOffset(), XRgb2YCrCb_Setup(), XRgb2YCrCb_SetYMax(), XRgb2YCrCb_SetYMin(), XRgb2YCrCb_SetYOffset(), and XRgb2YCrCbSelfTestExample().

u32 XRgb2YCrCb_Config::BCoef

B coefficient.

u32 XRgb2YCrCb_Config::CbMax

Cb Max value.

u32 XRgb2YCrCb_Config::CbMin

Cb Min value.

u32 XRgb2YCrCb_Config::CbOffset

Cb Offset value.

u32 XRgb2YCrCb_Config::CCoef

C coefficient.

u32 XRgb2YCrCb_Config::CrMax

Cr Max value.

u32 XRgb2YCrCb_Config::CrMin

Cr Min value.

u32 XRgb2YCrCb_Config::CrOffset

Cr Offset value.

u32 XRgb2YCrCb_Config::DCoef

D coefficient.

u16 XRgb2YCrCb_Config::DeviceId

DeviceId is the unique ID of the RGB2YCRCB core.

u16 XRgb2YCrCb_Config::HasClamp

To check support for clamping.

u16 XRgb2YCrCb_Config::HasClip

To check support for clipping.

u16 XRgb2YCrCb_Config::HasDebug

To check debug support.

Referenced by XRgb2YCrCb_DisableDbgTestPattern(), XRgb2YCrCb_EnableDbgByPass(), XRgb2YCrCb_EnableDbgTestPattern(), XRgb2YCrCb_GetDbgFrameCount(), XRgb2YCrCb_GetDbgLineCount(), XRgb2YCrCb_GetDbgPixelCount(), and XRgb2YCrCb_IsDbgByPassEnabled().

u16 XRgb2YCrCb_Config::HasIntcIf

To check Interrupt controller support.

Referenced by XRgb2YCrCb_IntrHandler().

u32 XRgb2YCrCb_Config::MasterAxisVideoFormat

Master Axis Video Format.

u32 XRgb2YCrCb_Config::MaxCols

Maximum number of columns.

u32 XRgb2YCrCb_Config::OutputRange

To identify output range.

u32 XRgb2YCrCb_Config::SlaveAxiClkFreqHz

Slave AXI Clock Frequency in Hz.

u32 XRgb2YCrCb_Config::SlaveAxisVideoFormat

Slave Axis Video Format.

u32 XRgb2YCrCb_Config::StandardSelection

To select standard.

u32 XRgb2YCrCb_Config::YMax

Y Min value.

u32 XRgb2YCrCb_Config::YMin

Y Max value.

u32 XRgb2YCrCb_Config::YOffset

Y Offset value.